<script lang="ts">
  import { langStore } from "$lib/stores";
  type Language = { name: string; value: string };

  const availableLanguages: Language[] = [
    { name: "English", value: "en" },
    { name: "Deutsch", value: "de" },
  ];
  let currentLanguage: string = "English";
  langStore.subscribe((lang) => {
    if (lang != currentLanguage) currentLanguage = lang;
  });

  export function setLanguage(lang: string) {
    const selectedLanguage = availableLanguages.find(
      (item) => item.value === lang,
    );
    if (selectedLanguage) {
      langStore.set(lang); // Setze den Wert im Store
    }
  }
</script>

<div class="language-changer">
  <select
    class="select-language"
    on:change={(event) => setLanguage(event?.target?.value)}
    bind:value={currentLanguage}
  >
    {#each availableLanguages as lang}
      <option value={lang.value}>{lang.name.toUpperCase()}</option>
    {/each}
  </select>
</div>

<style>
  /* Styles für den Sprachauswahlbereich */
  .language-changer {
    margin-right: 20px;
  }

  .select-language {
    padding: 8px;
    border-radius: 5px;
    background-color: #5c6bc0;
    color: white;
    font-size: 14px;
  }
</style>  